<?php
header('Content-Type: application/json');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");
$sql = "";



if( $_REQUEST["sql"] ) {
   $sql = $_REQUEST['sql'];
}

if( $_REQUEST["sql_tapa1"] ) {
   $sql_tapa1 = $_REQUEST['sql_tapa1'];
}

if( $_REQUEST["sql_tapa2"] ) {
   $sql_tapa2 = $_REQUEST['sql_tapa2'];
}

if( $_REQUEST["historia"] ) {
   $historia = $_REQUEST['historia'];
}

if( $_REQUEST["id"] ) {
   $id = $_REQUEST['id'];
}

if( $_REQUEST["tipo"] ) {
   $tipo = $_REQUEST['tipo'];
}


      $resultado = mysqli_query($con,$sql);

if ($sql_tapa1 != ''){$resultado = mysqli_query($con,$sql_tapa1);}
if ($sql_tapa2 != ''){$resultado = mysqli_query($con,$sql_tapa2);}

$sql = str_replace("'","",$sql);


$usuario = "administrador";
if( $_REQUEST["usuario"] ) {
   $usuario = $_REQUEST['usuario'];
}

if($id > 0 && $sql != '' && $tipo != '')
{
   $fecha = dl_fecha::dl_ahora_texto();
   $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'Se modificaron datos de punto singular','DATOS MODIFICADOS','" . $fecha . "','" . $usuario . "','PSINGULAR')";
   $resultado = mysqli_query($con,$sql);
}   


mysqli_close($con);

$resultado = array(
   'mensaje'=> $sql2,
   'id'=>$id,
   'tipo'=>$tipo
   );
echo json_encode($resultado);
?>